Elenca le tessere dell'associazione (solo id e stato)
GET
/v1/memberships
const url = 'https://api.vimine.network/v1/memberships?status=pending';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.vimine.network/v1/memberships?status=pending' \ --header 'Authorization: Bearer <token>'Paginato, dalle più recenti. updated_since (RFC 3339) restituisce solo le righe cambiate dopo quell’istante — per la sincronizzazione incrementale. Richiede un piano che comprenda gli elenchi via API (altrimenti plan_limit).
Autorizzazioni
Sezione intitolata “Autorizzazioni”Parametri
Sezione intitolata “Parametri”Parametri di query
Sezione intitolata “Parametri di query”status
string
updated_since
string formato: date-time
limit
integer
cursor
string
Risposte
Sezione intitolata “Risposte”Una pagina
Tipo di contenutoapplication/json
object
items
Array<object>
object
id
string
status
string
verdict
string
membership_type
object
cod
string
issued_at
string formato: date-time
valid_until
string formato: date-time
updated_at
string formato: date-time
next_cursor
string
Esempiogenerato
{ "items": [ { "id": "example", "status": "example", "verdict": "example", "membership_type": { "cod": "example" }, "issued_at": "2026-04-15T12:00:00Z", "valid_until": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z" } ], "next_cursor": "example"}Richiesta non valida
Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Credenziali mancanti o non valide
Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Il piano dell’associazione non comprende gli elenchi via API (plan_limit)
Non trovato
Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Troppe richieste
Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}Errore interno
Tipo di contenutoapplication/problem+json
object
type
obbligatorio
string formato: uri
title
obbligatorio
string
status
obbligatorio
integer
detail
string
code
obbligatorio
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Esempiogenerato
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}